Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.startup
Class TilesListener

    java.lang.Object
      org.apache.tiles.web.startup.AbstractTilesListener
          org.apache.tiles.web.startup.TilesListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

Deprecated. Please extend `AbstractTilesListener`.

    public class TilesListener

extends AbstractTilesListener

Listener for the initialization of the Tiles container.

Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $

Field Summary

Fields inherited from class org.apache.tiles.web.startup.AbstractTilesListener
`initializer`

Constructor Summary
`TilesListener()` Deprecated.

Method Summary
`protected TilesContainer` | `createContainer(javax.servlet.ServletContext context)` Deprecated. Extend `BasicTilesInitializer`.
`protected TilesInitializer` | `createTilesInitializer()` Deprecated. Creates a new instance of `BasicTilesInitializer`.

Methods inherited from class org.apache.tiles.web.startup.AbstractTilesListener
`contextDestroyed, contextInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesListener

    public TilesListener()

  Deprecated.

Method Detail

### createTilesInitializer

    protected TilesInitializer createTilesInitializer()

  Deprecated.
  Creates a new instance of `BasicTilesInitializer`. Override it to use a different initializer.

  Specified by:
    `createTilesInitializer` in class `AbstractTilesListener`
  Returns:
    The Tiles servlet-based initializer.
  Since:
    2.1.2

### createContainer

    protected TilesContainer createContainer(javax.servlet.ServletContext context)

  Deprecated. Extend `BasicTilesInitializer`.

  Creates a Tiles container.

  Parameters:
    `context` - The servlet context to use.
  Returns:
    The created container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.